at.chipkarte.client.elgaad.soap

## Class Dosierung

- Object
- - at.chipkarte.client.elgaad.soap.Dosierung

-     public class Dosierung
      extends Object

  Angaben zur Dosierung.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Dosierung zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dosierung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Einzeldosierung[]` | `getEinzeldosierungList()` Dosierungsvariante 2 - Einzeldosierungen.
    `EinzeldosierungTage` | `getEinzeldosierungTage()` Dosierungsvariante 4 - Einzeldosierungen an bestimmten Tagen.
    `Tagesdosierung` | `getTagesdosierung()` Dosierungsvariante 1 - Tagesdosierung.
    `TagesdosierungTage` | `getTagesdosierungTage()` Dosierungsvariante 3 - Tagesdosierung an bestimmten Tagen.
    `void` | `setEinzeldosierungList(Einzeldosierung[] einzeldosierungList)`
    `void` | `setEinzeldosierungTage(EinzeldosierungTage einzeldosierungTage)`
    `void` | `setTagesdosierung(Tagesdosierung tagesdosierung)`
    `void` | `setTagesdosierungTage(TagesdosierungTage tagesdosierungTage)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dosierung

          public Dosierung()

  - ### Method Detail

    - #### getTagesdosierung

          public Tagesdosierung getTagesdosierung()

      Dosierungsvariante 1 - Tagesdosierung. Siehe `Tagesdosierung`.
      Eingabebedingung:
      Erfassung: Bedingt. Eine der Dosierungvarianten muss angegeben werden.
      Änderung: Bedingt. Eine der Dosierungvarianten muss angegeben werden.
      Ausgabebedingung: Kann.
      Returns:
        Tagesdosierung

    - #### getEinzeldosierungList

          public Einzeldosierung[] getEinzeldosierungList()

      Dosierungsvariante 2 - Einzeldosierungen. Siehe `Einzeldosierung`.
      Eingabebedingung:
      Erfassung: Bedingt. Eine der Dosierungvarianten muss angegeben werden.
      Änderung: Bedingt. Eine der Dosierungvarianten muss angegeben werden.
      Ausgabebedingung: Kann.
      Returns:
        Liste von Einzeldosierungen

    - #### getTagesdosierungTage

          public TagesdosierungTage getTagesdosierungTage()

      Dosierungsvariante 3 - Tagesdosierung an bestimmten Tagen. Siehe `TagesdosierungTage`.
      Eingabebedingung:
      Erfassung: Bedingt. Eine der Dosierungvarianten muss angegeben werden.
      Änderung: Bedingt. Eine der Dosierungvarianten muss angegeben werden.
      Ausgabebedingung: Kann.
      Returns:
        Tagesdosierung an bestimmten Tagen

    - #### getEinzeldosierungTage

          public EinzeldosierungTage getEinzeldosierungTage()

      Dosierungsvariante 4 - Einzeldosierungen an bestimmten Tagen. Siehe `EinzeldosierungTage`.
      Eingabebedingung:
      Erfassung: Bedingt. Eine der Dosierungvarianten muss angegeben werden.
      Änderung: Bedingt. Eine der Dosierungvarianten muss angegeben werden.
      Ausgabebedingung: Kann.
      Returns:
        Einzeldosierung an bestimmten Tagen

    - #### setTagesdosierung

          public void setTagesdosierung(Tagesdosierung tagesdosierung)

    - #### setEinzeldosierungList

          public void setEinzeldosierungList(Einzeldosierung[] einzeldosierungList)

    - #### setTagesdosierungTage

          public void setTagesdosierungTage(TagesdosierungTage tagesdosierungTage)

    - #### setEinzeldosierungTage

          public void setEinzeldosierungTage(EinzeldosierungTage einzeldosierungTage)